Bug 51041 - Kernel panic while downloading files w/ ncftp
Kernel panic while downloading files w/ ncftp
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2001-08-06 16:46 EDT by Clay Cooper
Modified: 2008-05-01 11:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-13 05:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of ksymoops (9.46 KB, text/plain)
2001-08-06 16:47 EDT, Clay Cooper
no flags Details

  None (edit)
Description Clay Cooper 2001-08-06 16:46:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)
Gecko/20010607 Netscape6/6.1b1

Description of problem:
Fairfax beta3 installed on a 6400  updated to 2.4.7-0.3 enterprise kernel,
w/ 5GB ram and 2GB swap, test bios T42, and a perc3qc raid 1 container.

While downloading several 1-10MB files with ncftp, kernel panics.

May not happen everytime.

Output of ksymoops attached.

How reproducible:

Steps to Reproduce:
1. Fairfax beta3 installed on a 6400 updated to 2.4.7-0.3 enterprise
kernel, w/ 5GB ram and 2GB swap, test bios T42, and a perc3qc raid 1 container.
2. Use ncftp to download several 1-10MB files.  (I was using the kernel
update rpms)
3. Look for kernel panic

Actual Results:  Kernel panic

Expected Results:  No kernel panic

Additional info:
Comment 1 Clay Cooper 2001-08-06 16:47:21 EDT
Created attachment 26497 [details]
Output of ksymoops
Comment 2 Glen Foster 2001-08-06 18:06:14 EDT
Re-assigning to kernel
Comment 3 Glen Foster 2001-08-06 18:53:08 EDT
We (Red Hat) really need to fix this defect before next release.
Comment 4 Matt Domsch 2001-08-06 19:36:56 EDT
Looks like the bcm5700 driver has a dereference NULL bug.  I'm trying to find 
out who at Broadcom is the driver maintainer and have them look at it.
Comment 5 Arjan van de Ven 2001-08-09 05:11:08 EDT
Broadcom has provided an updated driver, which will be in kernels 2.4.7-0.12 and
Comment 6 Clay Cooper 2001-08-10 14:11:41 EDT
I noticed the mention of the broadcom driver and wanted to point out that the
configuration exhibiting this error had the onboard intel nic configured and
running on eth0 and the broadcom configured and running on the same subnet at
eth1.  I'm assuming that eth0 would have been the nic in use when the kernel
panic occured.
Comment 7 Arjan van de Ven 2001-08-13 05:06:38 EDT
>>EIP; f8a23966 <[bcm5700]MM_IndicateRxPackets+76/1b0>   <=====

in the oops trace suggests the broadcom driver was at least involved,
and triggered me to classify this as a broadcom driver failure, especially
as the driver had a known oops bug.
Comment 8 Bill Nottingham 2001-08-23 17:07:08 EDT
Closing as fixed.

Note You need to log in before you can comment on or make changes to this bug.